﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace HostAnyControl {
  public class ComplexDataType {
    public int ID { get; set; }
    public Point DataPoint { get; set; }


    //*******************************************************************************
    /// <summary>
    /// Creates an instance of ComplexData.
    /// </summary>
    //*******************************************************************************
    public ComplexDataType(int id, double x, double y) {
      ID = id;
      DataPoint = new Point(x, y);
    }



    //*******************************************************************************
    /// <summary>
    /// Get string representation of Point data
    /// </summary>
    //*******************************************************************************
    public string GetPointAsString() {
      return string.Format("{0},{1}", DataPoint.X, DataPoint.Y);
    }
  }
}
