﻿using System.Collections.Generic;

namespace HostAnyControl
{
    public class GridDataViewModel
    {
        public GridDataViewModel()
        {
            MyData = new List<ComplexDataType>();
            MyData.Add(new ComplexDataType(1, 10, 10));
            MyData.Add(new ComplexDataType(2, 20, 20));
            MyData.Add(new ComplexDataType(3, 30, 30));
            MyData.Add(new ComplexDataType(4, 40, 40));
            MyData.Add(new ComplexDataType(5, 50, 50));

            // fill grid data    
            GridData = new List<GridDataType>();
            foreach (ComplexDataType item in MyData)
            {
                GridData.Add(new GridDataType(item.ID, item.GetPointAsString()));
            }

        }

        public List<ComplexDataType> MyData { get; set; }
        public List<GridDataType> GridData { get; set; }

    }
}
